<?
  include_once(dirname(__FILE__) ."/include/main.php");
  $errors = array();
  
  if(!PUBLIC_USER_CREATION_CODE) Helper::Redirect("users.php");
  
  if(Session::GetPublicCreationCodeEntered()) Helper::Redirect("edit_user.php");

  if($_POST["proceed"])
  {
    if($_POST["publicCreationCode"] == PUBLIC_USER_CREATION_CODE)
    {
      Session::SetPublicCreationCodeEntered(true);
      Helper::Redirect("edit_user.php");
    }
    $errors[] = __("INVALID_CODE");
  }

  if($_POST["cancel"])
  {
    Helper::Redirect("users.php");
  }  
?>
<?php print '<?xml version="1.0" encoding="UTF-8"?>'; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<link rel="stylesheet" href="style.css" type="text/css" />
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
<title><?=(__("PAGE_TITLE") ." :: ". __("LOGIN"))?></title>
<link rel="icon" type="image/png" href="gfx/favicon.png" />
</head>

<body id="enterPublicCreateionCodeBody">
<div id="wrapper">
<? Helper::CreateUserListTopbar() ?>
<div id="content">
<form class="wide" method="post" action="<?=$_SERVER["PHP_SELF"]?>">

<h1><?=__("ADD_USER_PROFILE_TITLE")?></h1>

<? if(count($errors) > 0) { ?>
<ul class="error">
<?
  foreach($errors as $e)
  {
    print "<li>$e</li>";
  }
?>
</ul>
<? } ?>

<div class="container">
<label for="publicCreationCode"><?=__("PUBLIC_CREATION_CODE")?></label>
<input type="PASSWORD" class="password" name="publicCreationCode" id="publicCreationCode" value="" />
</div>

<div class="buttons">
<input type="submit" class="submit" name="proceed" value="<?=__("PROCEED")?>" />
<input type="submit" class="submit" name="cancel" value="<?=__("CANCEL")?>" />
</div>

</form>
</div>
</div>
</body>
</html>